Skip to main content
PUT
JavaScript

Authorizations

Authorization
string
header
required

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Path Parameters

id
string
required

Product Id

Query Parameters

force_update
boolean

Response

Aws s3 presigned URL. Upload image to this URL within 60s

url
string
required
image_id
string<uuid> | null
Last modified on July 29, 2026